/*
 * |-----------------------------------------------------------|
 * | Copyright (c) 1991, 1990 MIPS Computer Systems, Inc.      |
 * | All Rights Reserved                                       |
 * |-----------------------------------------------------------|
 * |          Restricted Rights Legend                         |
 * | Use, duplication, or disclosure by the Government is      |
 * | subject to restrictions as set forth in                   |
 * | subparagraph (c)(1)(ii) of the Rights in Technical        |
 * | Data and Computer Software Clause of DFARS 252.227-7013.  |
 * |         MIPS Computer Systems, Inc.                       |
 * |         950 DeGuigne Avenue                               |
 * |         Sunnyvale, California 94088-3650, USA             |
 * |-----------------------------------------------------------|
 */
#ident	"$Header: errafter.c,v 1.7.2.1 92/06/24 13:46:14 marker Exp $"

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	
	Routine called after error message has been printed.
	Command and library version.
*/

#include	"cmderr.h"
#include	<stdio.h>


void
errafter( severity, format, ErrArgList )
int	severity;
char	*format;
int	ErrArgList;
{
	extern int	errno;

	switch( severity ) {
	case CHALT:
	case CERROR:
		if( errno  &&  (int)format != CERRNO ) {
			fputc( '\t', stderr );
			perror("");
		}
	}
	switch( severity ) {
	case CHALT:
		abort();
	case CERROR:
		exit( errexit );
	case CWARN:
	case CINFO:
		break;
	}
	return;
}
